From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Wed, 11 Nov 2020 00:47:45 +0100
Subject: Guard defines in rsi_sdio.h

In file included from /var/lib/dkms/rs9116/1.2.20/build/rsi_91x_hal.c:37:
/var/lib/dkms/rs9116/1.2.20/build/rsi_sdio.h:44: error: "SDIO_VENDOR_ID_RSI" redefined [-Werror]
 #define SDIO_VENDOR_ID_RSI              0x041B

In file included from /var/lib/dkms/rs9116/1.2.20/build/rsi_sdio.h:40,
                 from /var/lib/dkms/rs9116/1.2.20/build/rsi_91x_hal.c:37:
./include/linux/mmc/sdio_ids.h:124: note: this is the location of the previous definition
 #define SDIO_VENDOR_ID_RSI   0x041b
---
 drivers/net/wireless/redpine/rsi_sdio.h | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/drivers/net/wireless/redpine/rsi_sdio.h b/drivers/net/wireless/redpine/rsi_sdio.h
index eeec4ae..bc22f75 100644
--- a/drivers/net/wireless/redpine/rsi_sdio.h
+++ b/drivers/net/wireless/redpine/rsi_sdio.h
@@ -41,12 +41,18 @@
 #include "rsi_main.h"
 
 /* SDIO VENDOR ID for RSI*/
+#ifndef SDIO_VENDOR_ID_RSI
 #define SDIO_VENDOR_ID_RSI              0x041B
+#endif
 
 /* Device ID for RS9113 */
+#ifndef SDIO_DEVICE_ID_RSI_9113
 #define SDIO_DEVICE_ID_RSI_9113         0x9330
+#endif
 /* Device ID for RS9116 */
+#ifndef SDIO_DEVICE_ID_RSI_9116
 #define SDIO_DEVICE_ID_RSI_9116         0x9116
+#endif
 
 /* Interrupt Bit Related Macros */
 #define PKT_BUFF_AVAILABLE		1
